ServiceDock — Docker Swarm as a Service
=======================================

Docker swarm is cool, much simpler to use than OpenShift, but unfortunately I did not find a really nice overview Web-UI to monitor the services, so I created [this one](https://mrw.sh/webservices/servicedock).

Run
---

### Command-Line:

    docker run --rm -it -p 8888:4000 -v /var/run/docker.sock:/var/run/docker.sock:ro mwaeckerlin/servicedock:latest

### YAML to Deploy in Swarm:

```yaml
version: '3.7'
services:

  servicedock:
    image: mwaeckerlin/servicedock
    volumes:
      - type: bind
        source: /var/run/docker.sock
        target: /var/run/docker.sock
        read-only: true
    ports:
      - 8035:4000
    deploy:
      placement:
        constraints: [node.role == manager]
      resources:
        limits:
          memory: 100M
```
